apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: stonks-query-api-https
  namespace: stonks-oracle
  annotations:
    cert-manager.io/cluster-issuer: ca-issuer
spec:
  ingressClassName: traefik
  tls:
    - hosts:
        - stonks-api.celestium.life
      secretName: stonks-api-tls
  rules:
    - host: stonks-api.celestium.life
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: query-api
                port:
                  number: 8000
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: stonks-registry-https
  namespace: stonks-oracle
  annotations:
    cert-manager.io/cluster-issuer: ca-issuer
spec:
  ingressClassName: traefik
  tls:
    - hosts:
        - stonks-registry.celestium.life
      secretName: stonks-registry-tls
  rules:
    - host: stonks-registry.celestium.life
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: symbol-registry-api
                port:
                  number: 8000
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: stonks-superset-https
  namespace: stonks-oracle
  annotations:
    cert-manager.io/cluster-issuer: ca-issuer
spec:
  ingressClassName: traefik
  tls:
    - hosts:
        - stonks-dash.celestium.life
      secretName: stonks-dash-tls
  rules:
    - host: stonks-dash.celestium.life
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: superset
                port:
                  number: 8088
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: stonks-trino-https
  namespace: stonks-oracle
  annotations:
    cert-manager.io/cluster-issuer: ca-issuer
spec:
  ingressClassName: traefik
  tls:
    - hosts:
        - stonks-trino.celestium.life
      secretName: stonks-trino-tls
  rules:
    - host: stonks-trino.celestium.life
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: trino
                port:
                  number: 8080
